function [result,fRate] = ...
  joespect_LTacoustic(seq, frameSize, nOverlap, zeroPad, windowFn, sRate)
%
%
if (size(seq,1) == 1), seq = seq(:); end	% make column vector

[inrows, incols] = size(seq);
nfft    = frameSize + zeroPad;
seqsize = inrows;
outcols = 1 + floor((seqsize - frameSize) / (frameSize - nOverlap));
outrows = nfft / 2;
window  = repmat(feval(windowFn, frameSize), 1, incols);  % column vector(s)
outpos  = 1:outrows;
%
result  = zeros(outrows, outcols, incols);
%
for i = 1:outcols
  start = 1 + (frameSize - nOverlap) * (i - 1);
  frame = seq(start:(start + frameSize - 1), :);% column vector(s)
  L = length(frame);    % Length of signal
  deltaF=double(sRate/nfft);             % frequency bin widthin Hz
  % edit by J. Haxel 10/09/08 to normalize fft coefficients by
  % framesize NEXT LINE
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % this is where I start Del's suggestions %%%%%%%%%%%%%%%%%%%%%%
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  spectrum = fft(frame .* window, nfft);	%take spectra using window column vector(s)
  wstate = warning('off', 'MATLAB:log:logOfZero');% disable warning message
  S = spectrum(1:floor((length(spectrum)/2)+1));% take the first half of the FFT 
  S=2*2*S/L;  % one 2 becuase we only take 1/2 FFT out put 
            % one 2 because the hanning window has an area of 0.5 
            % normalize by L since the FFT coeffcients are the sum of the
            % data vector time a basis function of a given frequency 
            % Don't divide by NFFT cause the zeros don't add to the sum 
  % How convert to PSD 
    % square the amp and normalize by frequency resolution.
                          % units are uPa^2/ Hz 
    result(:,i,:) = (abs(S(outpos,:))).^2/deltaF; % square the amp and normalize by frequency resolution.
                          % units are uPa^2/ Hz 
    warning(wstate);				% restore warning message
end
%result = result;		% move inside loop if memory problems

if (exist('sRate'))
  fRate = sRate / (frameSize - nOverlap);
end
